Subject: Re: [PATCH] ipv4: fix for ip_options_rcv_srr() daddr update.

From: Li Wei <[email-masked]>
Date: Tue, 15 Nov 2011 15:26:31 +0800

> From: Li Wei <[email-masked]>
> Date: Tue, 15 Nov 2011 13:40:45 +0800
> 
>> These days i am doing some ICMP tests and sadly found that wen can't update
>> iph->daddr in ip_options_rcv_srr(), It's too early. When some exception
>> ocurred later (eg. in ip_forward() when goto sr_failed) we need the ip header
>> be identical to the original one as ICMP need it.
>>
>> It seems we need rt->rt_dst in ip_forward_options() and ip_forward() instead
>> of iph->daddr.
> 
> An alternative is to store the calculated destination address somewhere
> in the IPCB(skb).
> 
> 

You mean modify struct inet_skb_parm add some field to store the calculated 
destination address?

My question, in ip_forward() and ip_forward_options() rt is there, why not
we just use it?